Skip to content

Disable User ​

Request Description ​

Request Headers ​

Parameter NameChinese NameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example ​

http
PUT https://{your_domain}/api/v2/tenant/users/20220126153857263-A04D-60E0D446C/disable

Request Parameters ​

Parameter NameChinese NameRequiredTypeDescription
user_idUser IDYesStringUser ID to disable

Response Example ​

Success Example ​

HTTP/1.1 200 OK

json
{
  "user_id": "20201028102749564-9082-DC8CD2722"
}

Error Example ​

HTTP/1.1 400 Bad Request

json
{
  "error_msg": "User not found",
  "error_code": "IDAAS.TENANT.USER.0001"
}

Response Parameters ​

Parameter NameChinese NameTypeDescription
user_idUser user_idString

Error Codes ​

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400IDAAS.TENANT.USER.0001用户未找到User not foundPlease check whether the user exists

BambooCloud IDaaS Open Platform